#!/bin/bash
##NECESSARY JOB SPECIFICATIONS
#SBATCH --job-name=CUDAExample # Set the job name to "CUDAExample"
#SBATCH --time=01:00:00        # Set the wall clock limit to 1hr
#SBATCH --ntasks=10            # Request 10 task (core)
#SBATCH --mem=250G             # Request 250GB per node
#SBATCH --output=stdout.%j # Send stdout and stderr to “stdout.[jobID]"
#SBATCH --gres=gpu:a100:10     # Request a node with 10 A100 GPU's
#SBATCH --partition=gpu        # Request the GPU partition/queue
##OPTIONAL JOB SPECIFICATIONS
##SBATCH --account=123456       # Set billing account to 123456
#SBATCH --mail-type=ALL        # Send email on all job events
##SBATCH --mail-user=email_address # Send all emails to email_address
# load required module(s)
module purge
module load CUDA/11.7.0
# run your program
./a.out
