#!/bin/bash
##NECESSARY JOB SPECIFICATIONS
#SBATCH --job-name=CUDAExample # Set the job name to "CUDAExample"
#SBATCH --time=00:30:00        # Set the wall clock limit to 30 minutes
#SBATCH --ntasks=1             # Request 1 task (core)
#SBATCH --mem=10G              # Request 10GB per node
#SBATCH --partition=gpu        # Request the GPU partition/queue
#SBATCH --gres=gpu:h100:1      # Request a node with 1 H100 GPU's

##OPTIONAL JOB SPECIFICATIONS
##SBATCH --account=123456      # Set billing account to 123456
#SBATCH --mail-type=ALL        # Send email on all job events
#SBATCH --output=stdout.%j     # Send stdout to “stdout.[jobID]"
#SBATCH --error=stderr.%j      # Send stderr to “stderr.[jobID]"
##SBATCH --mail-user=email     # Send all emails to email

# load required module(s)
module purge
module load CUDA/12.3.2

# run your program
./a.out
